org.tmatesoft.svn.core.wc2.admin

## Class SvnRepositoryVerify

- java.lang.Object
- - org.tmatesoft.svn.core.wc2.SvnOperation<T>
  - - org.tmatesoft.svn.core.wc2.SvnReceivingOperation<T>
    - - org.tmatesoft.svn.core.wc2.admin.SvnRepositoryReceivingOperation<SVNAdminEvent>
      - - org.tmatesoft.svn.core.wc2.admin.SvnRepositoryVerify

All Implemented Interfaces:
  ISvnObjectReceiver<SVNAdminEvent>, ISvnOperationOptionsProvider

    public class SvnRepositoryVerify
    extends SvnRepositoryReceivingOperation<SVNAdminEvent>

### Constructor Summary

Constructors
Constructor and Description
`SvnRepositoryVerify(SvnOperationFactory factory)`

### Method Summary

Methods
`SVNRevision` `getEndRevision()`
`SVNRevision` `getStartRevision()`
`protected void` `initDefaults()`
`void` `setEndRevision(SVNRevision endRevision)`
`void` `setStartRevision(SVNRevision startRevision)`

### Methods inherited from class org.tmatesoft.svn.core.wc2.admin.SvnRepositoryReceivingOperation

`getRepositoryRoot, setRepositoryRoot`

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnReceivingOperation

`first, getReceiver, last, receive, run, setReceiver`

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

`addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, isCancelled, isChangesWorkingCopy, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SvnRepositoryVerify

    public SvnRepositoryVerify(SvnOperationFactory factory)

### Method Detail

#### initDefaults

    protected void initDefaults()

Overrides:
  `initDefaults` in class `SvnReceivingOperation<SVNAdminEvent>`

#### getStartRevision

    public SVNRevision getStartRevision()

#### setStartRevision

    public void setStartRevision(SVNRevision startRevision)

#### getEndRevision

    public SVNRevision getEndRevision()

#### setEndRevision

    public void setEndRevision(SVNRevision endRevision)